/*=============== GOOGLE FONTS ===============*/
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

/*=============== VARIABLES CSS ===============*/
:root {
    --header-height: 3.5rem;

    /*========== Colors ==========*/
    /*Color mode HSL(hue, saturation, lightness)*/
    --primary-color: hsl(215, 50%, 23%);
    --secondary-color: hsl(263, 6%, 43%);
    --accent-one-color:	hsl(45, 46%, 95%);
    --accent-two-color: hsl(354, 88%, 71%);
    --neutral-one-color: hsl(0, 0%, 96%);
    --neutral-two-color: hsl(0, 0%, 0%);
    --navbar-hover: hsla(0, 0%, 98%, 1);
    --text-color: hsl(0, 0%, 100%);

    /*========== Font and typography ==========*/
    /*.5rem = 8px | 1rem = 16px ...*/
    --body-font: 'Poppins', sans-serif;
    --biggest-font-size: 2.375rem;
    --normal-font-size: .938rem;
    --smaller-font-size: .75rem;
}

/* Responsive typography */
@media screen and (min-width: 1024px) {
    :root {
        --biggest-font-size: 5rem;
        --normal-font-size: 1rem;
        --smaller-font-size: .813rem;
    }
}

/*=============== BASE ===============*/
* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    scroll-behavior: smooth;
    scroll-padding: 2rem;
    font-family: var(--body-font);
}

::selection{
    background: var(--primary-color);
    color: var(--text-color);
}
section{
    padding: 4rem 0 3rem;
}

body {
    font-family: var(--body-font);
    font-size: var(--normal-font-size);
    font-weight: 500;
    color: var(--text-color);
    background: var(--primary-color);
    width: 100vw;
}

li{
    list-style: none;
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
}
.swiper {
    width: 100%;
    height: 100vh;
}

img {
    max-width: 100%;
    height: auto;
}


.text-welcome {
    text-align: center;
}

/*=============== REUSABLE CSS CLASSES ===============*/
.container {
    max-width: 1060px;
    margin-left: 1.5rem;
    margin-right: 1.5rem;
    padding-right: 2rem;
    width: 100%;
}

.main {
    overflow: hidden; /* For the animations ScrollReveal */
}

/*=============== HEADER & NAV ===============*/
.header {
    position: absolute;
    width: 100%;
    background-color: transparent;
    top: 0;
    left: 0;
    z-index: 100;
}
.nav {
    height: var(--header-height);
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
}
.nav__logo,
.nav__toggle {
    color: var(--text-color);
    display: inline-flex;
}
.nav__logo:hover {
    color: var(--text-color);
}
.nav__logo {
    font-weight: 700;
}
.nav__toggle {
    font-size: 1.25rem;
    cursor: pointer;
    padding-right: 2rem;
    color: var(--accent-two-color);
}

@media screen and (max-width: 767px) {
    .nav__menu {
        position: fixed;
        align-items: center;
        justify-content: center;
        justify-items: center;
        text-align: center;
        background-color: var(--primary-color);
        left: 0;
        top: -100%;
        width: 100%;
        padding: 5rem 0 4rem;
        border-radius: 0 0 1.5rem 1.5rem;
        box-shadow: 0 2px 4px hsla(38, 4%, 15%, .15);
        transition: .4s;
    }
}

.nav__list {
    text-align: center;
    display: flex;
    flex-direction: column;
    row-gap: 2rem;
}

.nav__link {
    color: var(--text-color);
    display: inline-block;
    margin-top: 1rem;
}
.nav__link:hover {
    color: var(--accent-two-color);
}

.nav__link.button {
    display: block;
    padding: 6px 20px;
    background-color: #F67280;
    color: white;
    border-radius: 6px;
    margin-top: 10px;
}

a.active{
    color: var(--accent-two-color);
}
.nav__close {
    position: absolute;
    top: 1rem;
    right: 1.5rem;
    font-size: 1.5rem;
    color: var(--text-color);
    cursor: pointer;
}
/* Show menu */
.show-menu {
    top: 0;
}
.dropdown-menu {
    border-radius: 20px 20px 20px 20px;
}

.dropdown-item {
    color: var(--neutral-two-color);
    display: block;
    margin: auto;
}
.dropdown-item-section{
    margin-top: 8px;
    display: flex;
    flex-direction: row;
    align-items: center;
    height: 40px;
    background-color: var(--accent-one-color);
    padding-left: 8px;
    padding-right: 8px;
    border-radius: 8px;
    box-shadow: 0px 4px 4px 0px rgba(0,0,0,0.25);

}
.dropdown-item-subtitle{

}
/*.icon {*/
/*    display: inline-block;*/
/*    width: 24px;*/
/*    height: 24px;*/
/*    vertical-align: middle;*/
/*    margin-right: 10px;*/
/*}*/

.dropdown-item-subtitle {
    display: inline-block;
    vertical-align: middle;
    padding-left: 12px;
    font-size: 16px;
    font-weight: 600;
}

.dropdown-item:hover {
    background: none;
    color: var(--accent-two-color);
}
#dropdownMenuButton {
    border-radius: 20px 20px 20px 20px;
}
#navbarDropdownItem {
    color: var(--neutral-two-color);
}
#navbarDropdownItem:hover {
    color: var(--accent-two-color);
}


/*=============== HOME ===============*/
/*.home {*/
/*    padding: 9rem 0 2rem;*/
/*    height: 100vh;*/
/*!*    width: 100%;*!*/
/*!*    display: grid;*!*/
/*!*}*!*/
/*#carousel{*/
/*    width: 100%;*/
/*    !*background: url('/img/image-one.jpeg') no-repeat center / cover;*!*/
/*}*/
/*.swiper {*/
/*    width: 100%;*/
/*    height: 100%;*/
/*}*/

/*.swiper-slide {*/
/*    position: relative;*/
/*    text-align: center;*/
/*    font-size: 18px;*/
/*    background: #fff;*/
/*    display: flex;*/
/*    justify-content: center;*/
/*    align-items: center;*/
/*}*/

/*.swiper-slide img {*/
/*    position: relative;*/
/*    display: flex;*/
/*    width: 100%;*/
/*    height: 100%;*/
/*    object-fit: cover;*/
/*    z-index: -1;*/
/*}*/

.home {
    display: flex;
    flex-direction: column;
}

.home-content {
    overflow: hidden;

}

.carousel {
    width: fit-content;
    height: 100vh;
    display: flex;
    animation: carousel-slide 15s ease-in-out infinite;
}

@keyframes carousel-slide {
    0% {
        transform: translate(0, 0);
    }
    28% {
        transform: translate(0, 0);
    }
    33% {
        transform: translate(-100vw, 0);
    }
    58% {
        transform: translate(-100vw, 0);
    }
    63% {
        transform: translate(-200vw, 0);
    }
    94% {
        transform: translate(-200vw, 0);
    }
    100% {
        transform: translate(0, 0);
    }
}

.carousel-indicator-container {
    width: 80%;
    height: 4px;
    border-radius: 2px;
    align-self: center;
    position: relative;
    bottom: 50px;
    z-index: 10;
    background-color: #F8F5EC;
}

.carousel-indicator-slider {
    height: 100%;
    background-color: #F67280;
    border-radius: 2px;
    animation: indicator-slider 15s infinite cubic-bezier(0, 0, 0, 0);
}

@keyframes indicator-slider {
    0% {
        width: 0%;
    }
    90% {
        width: 100%;
    }
    93% {
        width: 100%;
    }
    100% {
        width: 0%;
    }
}

.home-carousel-item {
    width: 100vw;
    height: 100%;
}


.home-slide {
    position: relative;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;

}

.slide-img{
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}
.home-overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(
            74deg,
            rgb(23,27,68,80%) 50%,
            rgb(23,27,68,14%)
    );
    z-index: 10;
}

.swiper-pagination-bullet{
    width: 6px !important;
    height: 6px !important;
    border-radius: 0.2rem !important;
    background: var(--secondary-color) !important ;
    opacity: 1 !important;
}

.swiper-pagination-bullet-active{
    width: 1.5rem !important;
    background: var(--accent-two-color) !important;
}
.home-text{
    z-index: 200;
}

.slide-description{
    max-width: 450px;
    font-size: 0.938rem;
}


.home-footer{
    display: flex;
    flex-direction: row;
    width: 100vw;
    height: 379px;
    background-color: var(--neutral-two-color);
}

.footer-description{
    width: 33%;
    display: flex;
    flex-direction: column;
    color: white;
    align-items: start;
    padding-left: 121px;

}
.footer-logo{
    padding-top: 55px;
}
.footer-paragraph{
    padding-top: 40px;
    width: 347px;
}
.footer-copyright{
    padding-top: 24px;
}
.footer-contact-us{
    width: 33%;
    display: flex;
    flex-direction: column;
    color: white;
    align-items: start;
    padding-left: 121px;
}

.footer-contact-us-title{
    padding-top: 134px;
    padding-bottom: 20px;
    font-size: 24px;
    font-weight: 600;
    line-height: 32px;

}
.footer-contact-us-wrapper{
    display: flex;
    flex-direction: row;
    align-items: center;
    padding-bottom: 16px;
    gap: 20px;
}
.footer-subscribe{
    width: 33%;
    display: flex;
    flex-direction: column;
    color: white;
    align-items: start;
    padding-left: 60px;
}


.footer-subscribe-title{
    padding-top: 134px;
    padding-bottom: 20px;
    font-size: 24px;
    font-weight: 600;
    line-height: 32px;
}

.footer-subscribe-subtitle{
    font-weight: 400;
    line-height: 24px;
    font-size: 16px;
    padding-bottom: 20px;
}


.footer-search{
    width: 345px;
    position: relative;
    display: flex;
    height: 49px;
    flex-direction: row;
    background-color: transparent;
    border: none;
}
#footer-search-continue{
    width: 95px;
    height: 29px;
    position: absolute;
    z-index: 2;
    border: none;
    top: 8px;
    right: 12px;
    text-align: center;
    align-items: center;
    align-content: center;
    justify-content: center;
    cursor: pointer;
    line-height: 28px;
    color: white;
    border-radius: 8px;
    background-color: var(--accent-two-color);
    transform: translateX(2px);

}


.home__shadow {
    width: 130px;
    height: 24px;
    background-color: hsla(38, 21%, 19%, .16);
    margin: 0 auto;
    border-radius: 50%;
    filter: blur(7px);
    animation: shadow 1.8s infinite alternate;
}

.home__footer {
    display: flex;
    justify-content: center;
    column-gap: .5rem;
    font-size: var(--smaller-font-size);
    align-self: flex-end;
}

/* Animate ghost */
@keyframes floaty {
    0% {
        transform: translateY(0);
    }
    100% {
        transform: translateY(15px);
    }
}

@keyframes shadow {
    0% {
        transform: scale(1, 1);
    }
    100% {
        transform: scale(.85, .85);
    }
}

/*=============== BREAKPOINTS ===============*/
/* For small devices */
@media screen and (max-width: 320px) {
    .home {
        padding-top: 7rem;
    }
}

/* For medium devices */
@media screen and (min-width: 767px) {
    .nav {
        height: calc(var(--header-height) + 1.5rem);
    }
    .nav__toggle,
    .nav__close {
        display: none;
    }
    .nav__list {
        flex-direction: row;
        column-gap: 3.5rem;
    }
}

/* For large devices */
@media screen and (min-width: 1024px) {
    .home__container {
        grid-template-columns: repeat(2, 1fr);
        align-items: center;
        column-gap: 2rem;
    }
    .home__data {
        text-align: initial;
    }
    .home__img img {
        width: 400px;
    }
    .home__shadow {
        width: 250px;
        height: 40px;
    }
}

@media screen and (min-width: 1048px) {
    .container {
        margin-left: auto;
        margin-right: auto;
    }
}

/* For 2K resolutions (2048 x 1152, 2048 x 1536) */
@media screen and (min-width: 2048px) {
    body {
        zoom: 1.7;
    }

    .home {
        height: initial;
        row-gap: 4rem;
    }
}

/* For 4K resolutions (3840 x 2160, 4096 x 2160) */
@media screen and (min-width: 3840px) {
    body {
        zoom: 3.1;
    }
}